/* 	
	tp-file.c: TecPro Beispielprogramm
	Kurzbeschreibung: Die Standard C-Bibliothek
	C.Koch | HS-Emden-Leer | 06.04.2011

	Compile: gcc -g -Wall -o tp-file tp-file.c
	Analyse: ddd tp-file
*/


#include <stdio.h>
#include <string.h>

void FileWrite(char* sInput);

int main(void)
{
	char sInput[100];
	int iTest= 64;

	printf("\n ---- Die Standard C-Bibliothek stdio ----\n");
	printf("iTest: \t %d %p %x %c\n",iTest, &iTest, iTest, iTest);

	printf("-> Eingabe: ");
	gets(sInput);
	puts(sInput);
	
	/* einfache String-Analyse zum bedingten Sprung via strcmp */
	if(strcmp(sInput,"exit"))
		FileWrite(sInput);

	return 0;
}


/* Demo-Funktion zur Verwendung von Dateien */
void FileWrite(char* sInput)
{
	FILE* fpDatei;	/* "Handle" zur Adressierung von Dateien: File-Pointer */
	int iLoop;

	puts("-> Schreibe Eingabe in Datei 'out.txt' ");
	/* Datei öffnen und via fprintf beschreiben*/	
	fpDatei = fopen("out.txt","w");
	
	fprintf(fpDatei," ---- Demo-Datei ----\n Die Eingabe lautete: *%s*\n",sInput);
	
	for(iLoop=0x20; iLoop<=0x40; iLoop++)
		fprintf(fpDatei," iLoop: \t %03d  %03x  %c\n",iLoop, iLoop, (char) iLoop);	

	/* nach Bearbeitung die Datei wieder schließen */
	fclose(fpDatei);

}

